#pragma once
#include<utility>
#include<string>
#include<iostream>
using namespace std;
#define KEY_STOP 0

#define KEY_ENABLE 1//使能
#define KEY_DISABLE 2//禁能


#define KEY_FORWARD 3//前移
#define KEY_BACKWARD 4//后移
#define KEY_LEFT 5//左转
#define KEY_RIGHT 6//右转
#define KEY_UP 7//上移
#define KEY_DOWN 8//下移

#define KEY_HOME 10//归位
#define KEY_GRAB 11//抓取
#define KEY_RELEASE 12//释放

int gamepad_map(const std::pair<std::string, float> data);
int mic_map(std::string data);
std::string key_str(int key);